#include <zephyr/kernel.h>
#include <zephyr/logging/log.h>
#include <lasertag_utils.h>

LOG_MODULE_REGISTER(leader_app, CONFIG_LOG_DEFAULT_LEVEL);
int main(void)
{
    /* Initialize shared project logic */
    lasertag_utils_init();

    LOG_INF("Leader Application successfully started.\n");

    while (1) {
        /* Main loop - keep process alive */
        k_sleep(K_MSEC(1000));
    }

    return 0;
}